# Class MoveProcessor

java.lang.Object
org.eclipse.core.runtime.PlatformObject
org.eclipse.ltk.core.refactoring.participants.RefactoringProcessor
org.eclipse.ltk.core.refactoring.participants.MoveProcessor

All Implemented Interfaces:
  `IAdaptable`

public abstract class MoveProcessor extends RefactoringProcessor
A special processor that performs move operations. A move processor is responsible for actually moving the elements. Additionally it may update other resources of the same domain which are affected by the move operation. For example, a Java type move processor also updates all references in Java code to the type to be moved.

This class should be subclassed by clients wishing to provide a special move processor.

The main purpose of this class is type safety for the generic move refactoring

Since:
  3.0

## Constructor Summary

Constructors
Constructor
Description
`MoveProcessor()`

## Method Summary

### Methods inherited from class RefactoringProcessor

`checkFinalConditions, checkInitialConditions, createChange, getElements, getIdentifier, getProcessorName, getRefactoring, isApplicable, loadParticipants, postCreateChange`

### Methods inherited from class PlatformObject

`getAdapter`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MoveProcessor

public MoveProcessor()